# $Revision: 1.2.2.2 $, $Date: 2003/04/28 12:51:54 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pnam	XMLNews-Meta
Summary:	XMLNews::Meta Perl module - for reading and writing XMLNews metadata files
Summary(pl):	Modu Perla XMLNews::Meta - do odczytu i zapisu plikw z metadanymi XMLNews
Name:		perl-XMLNews-Meta
Version:	0.01
Release:	2
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/DMEGG/%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-XML-Parser >= 2.19
BuildRequires:	rpm-perlprov >= 4.0.2-104
Requires:	perl-XML-Parser >= 2.19
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The XMLNews::Meta module handles the import, export, and programmatic
manipulation of metadata for XMLNews resources. You can read or write
a metadata file using a single method call, and can easily add or
remove values.

%description -l pl
Modu XMLNews::Meta obsuguje import, eksport i programow obrbk
metadanych dla zasobw XMLNews. Mona odczytywa i zapisywa metadane
za pomoc pojedynczego wywoania metody oraz atwo dodawa i usuwa
wartoci.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_sitelib}/XMLNews
%{perl_sitelib}/XMLNews/Meta.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XMLNews-Meta.spec,v $
Revision 1.2.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.2.2.1  2003/03/13 00:59:28  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.2  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.1  2002/08/04 19:23:52  qboosh
- new

